package aicare.net.cn.sdk.ailinksdkdemoandroid.base;

import android.app.Application;

import aicare.net.cn.sdk.ailinksdkdemoandroid.utils.L;

public class MyApplication extends Application {

    private static MyApplication sInstance;

    @Override
    public void onCreate() {
        super.onCreate();
        sInstance = this;
        initLog();
    }

    private void initLog() {
        String logPath = L.getDefaultLogPath(this);
        String fileName = L.getDefaultLogName();
        L.init(logPath, fileName, true);

    }

    public static MyApplication getInstance(){
        return sInstance;
    }
}
